---
title: Customer Preference
description: This API will return all the bank accounts to where the payouts are done.
---

This API is for get customer preference of the card can be done through prepaid card portal. We must pass entity id, status: allowed and type of card in request. If the request has valid details, we will get a success response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/cards/api/customer-preference
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| checksum | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) |
| token | text | Will be provided by airpay(required) |

## Parameter

| Field     | Type | Required | Description                                                     |
| --------- | ---- | -------- | --------------------------------------------------------------- |
| entity_id | Text | Yes      | Customer ID registered with the system (length 50)              |
| status    | Text | No       | Status type. Possible values: `ALLOWED`, `NOTALLOWED`           |
| type      | Text | No       | Card type. Possible values: `ATM`, `POS`, `ECOM`, `CONTACTLESS` |

## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/customer-preference' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'status=ALLOWED' \
--data-urlencode 'type=CONTACTLESS'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | numeric | 400- fail,200-success |
| message | text | Success, Fail |
| data | json | [] |
## Success-Response:

```
{
    "status": 200,
    "message": "success",
    "data": []
}
```
## Fail-Response:

```
{
    "status": 400,
    "message": "fail"
}
```